PivotStrategy.cpp File Reference
`#include "stdinc.h"`
`#include "PivotStrategy.h"`
`#include "EulerState.h"`
`#include "NameFactory.h"`
`#include "RawSquareFreeTerm.h"`
`#include "ElementDeleter.h"`
`#include "PivotEulerAlg.h"`
`#include <sstream>`
`#include <limits>`

Go to the source code of this file.

## Functions

unique_ptr< PivotStrategy > | newStdPivotStrategy (const string &name)
unique_ptr< PivotStrategy > | newGenPivotStrategy (const string &name)
unique_ptr< PivotStrategy > | newHybridPivotStrategy (unique_ptr< PivotStrategy > stdStrat, unique_ptr< PivotStrategy > genStrat)
unique_ptr< PivotStrategy > | newDebugPivotStrategy (unique_ptr< PivotStrategy > strat, FILE *out)
unique_ptr< PivotStrategy > | newStatisticsPivotStrategy (unique_ptr< PivotStrategy > strat, FILE *out)
unique_ptr< PivotStrategy > | newDefaultPivotStrategy ()

## Function Documentation

## newDebugPivotStrategy()

unique_ptr< PivotStrategy > newDebugPivotStrategy | ( | unique_ptr< PivotStrategy > | strat,
|  | FILE * | out )

Definition at line 949 of file PivotStrategy.cpp.

## newDefaultPivotStrategy()

unique_ptr< PivotStrategy > newDefaultPivotStrategy | ( |  | ) |

Definition at line 959 of file PivotStrategy.cpp.

## newGenPivotStrategy()

unique_ptr< PivotStrategy > newGenPivotStrategy | ( | const string & | name | ) |

Definition at line 916 of file PivotStrategy.cpp.

## newHybridPivotStrategy()

unique_ptr< PivotStrategy > newHybridPivotStrategy | ( | unique_ptr< PivotStrategy > | stdStrat,
|  | unique_ptr< PivotStrategy > | genStrat )

Definition at line 943 of file PivotStrategy.cpp.

## newStatisticsPivotStrategy()

unique_ptr< PivotStrategy > newStatisticsPivotStrategy | ( | unique_ptr< PivotStrategy > | strat,
|  | FILE * | out )

Definition at line 954 of file PivotStrategy.cpp.

## newStdPivotStrategy()

unique_ptr< PivotStrategy > newStdPivotStrategy | ( | const string & | name | ) |

Definition at line 905 of file PivotStrategy.cpp.